---
title: Atomics.isLockFree()
slug: Web/JavaScript/Reference/Global_Objects/Atomics/isLockFree
tags:
  - Atomics
  - JavaScript
  - Method
  - Shared Memory
---
<div>{{JSRef}}</div>

<p>The static <code><strong>Atomics</strong></code><strong><code>.isLockFree()</code></strong> method is used to determine whether to use locks or atomic operations. It returns <code>true</code>, if the given size is one of the <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/TypedArray/BYTES_PER_ELEMENT">BYTES_PER_ELEMENT</a> property of integer TypedArray types.</p>

<div>{{EmbedInteractiveExample("pages/js/atomics-islockfree.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Atomics.isLockFree(size)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><code>size</code></dt>
	<dd>The size in bytes to check.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Boolean")}} indicating whether the operation is lock free.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_isLockFree">Using isLockFree</h3>

<pre class="brush: js notranslate">Atomics.isLockFree(1); // true
Atomics.isLockFree(2); // true
Atomics.isLockFree(3); // false
Atomics.isLockFree(4); // true
Atomics.isLockFree(5); // false
Atomics.isLockFree(6); // false
Atomics.isLockFree(7); // false
Atomics.isLockFree(8); // true</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
		</tr>
		<tr>
			<td>{{SpecName('ESDraft', '#sec-atomics.islockfree', 'Atomics.isLockFree')}}</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Atomics.isLockFree")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{jsxref("Atomics")}}</li>
</ul>
